[IPython-dev] problems with qt4 threading

Hans Meine hans_meine@gmx....
Fri Aug 24 06:09:00 CDT 2007


Hi!

Am Donnerstag, 23. August 2007 18:52:20 schrieb Darren Dale:
> I recently reported a problem with ipython when using -q4thread, which
> showed up when I updated to qt-4.3 and PyQt-4.3. The original post didn't
> generate any interest, but the problem renders ipython unusable with qt4,
> so I wanted to post it once more.

Reading the error message:
> QSocketNotifier: Can only be used with threads started with QThread
I would suggest to use the Qt API for creating the thread, and..

> I made a little bit of progress with the attached patch, which silenced
> the "QSocketNotifier" messages.
..reading your patch, this is what it does.  So this is the way to go AFAICS.

> I can still make plots, interact with them, 
> and close them. The patch can *not* be applied though, because a PyQt4
> import appears outside of the class definitions.

Right, so this is the only thing that needs to be fixed.  It is not trivial to 
do, since the current code needs to know the base class (which should be 
different for the Qt4 IPShell) before the IPShell being used is known.

Apart from that, I wonder why you moved the two code lines that start the 
timer?

Ciao, /  /
     /--/
    /  / ANS


More information about the IPython-dev mailing list